One connection and what it needs next
GET
/v1/workspace/integrations/installations/{installation_id}
const url = 'https://api.vocapable.com/v1/workspace/integrations/installations/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/integrations/installations/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”installation_id
required
Installation Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceInstallationDetail
object
installation
required
WorkspaceInstallation
object
id
required
Id
string
provider
required
Provider
string
slug
required
Slug
string
name
required
Name
string
status
required
Status
string
capabilities
required
Capabilities
object
key
additional properties
string
requested_capabilities
required
Requested Capabilities
Array<string>
environment
required
Environment
string
scopes
required
Scopes
Array<string>
resources
required
Resources
Array<string>
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
backup_owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
installed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
field_groups
required
Field Groups
Array<string>
mappings
required
Mappings
object
key
additional properties
any
authority
required
Authority
object
key
additional properties
any
config
required
Config
object
key
additional properties
any
has_credentials
required
Has Credentials
boolean
plan_reviewed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_action
required
Next Action
string
credential_fields
required
inbound_url_configured
required
Inbound Url Configured
boolean
Example
{ "installation": { "status": "draft", "environment": "test", "direction": "inbound" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}